> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Create in Order

POST https://restapi.ordergroove.com/items/iu/
Content-Type: application/json

A request to this endpoint will create an Impulse Upsell order item on the specified order. This will be tracked by OrderGroove as an 'Impulse Upsell' order item.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/items/create-in-order

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /items/iu/:
    post:
      operationId: create-in-order
      summary: Create in Order
      description: >-
        A request to this endpoint will create an Impulse Upsell order item on
        the specified order. This will be tracked by OrderGroove as an 'Impulse
        Upsell' order item.
      tags:
        - items
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Items_createInOrder_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Items-create-in-orderRequestBadRequestError
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Items-create-in-orderRequestForbiddenError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                order:
                  type: string
                  description: Order ID
                offer:
                  type: string
                  description: Offer ID
                product:
                  type: string
                  description: Product ID
                quantity:
                  type: integer
                  description: Number of items
                contexts:
                  $ref: >-
                    #/components/schemas/ItemsIuPostRequestBodyContentApplicationJsonSchemaContexts
                  description: Items contexts as key:value
                components:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/ItemsIuPostRequestBodyContentApplicationJsonSchemaComponentsItems
                  description: Bundle components
              required:
                - order
                - offer
                - product
                - quantity
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    ItemsIuPostRequestBodyContentApplicationJsonSchemaContexts:
      type: object
      properties: {}
      description: Items contexts as key:value
      title: ItemsIuPostRequestBodyContentApplicationJsonSchemaContexts
    ItemsIuPostRequestBodyContentApplicationJsonSchemaComponentsItems:
      type: object
      properties:
        product:
          type: string
          default: product_id
      title: ItemsIuPostRequestBodyContentApplicationJsonSchemaComponentsItems
    ItemsIuPostResponsesContentApplicationJsonSchemaComponentsItems:
      type: object
      properties:
        product:
          type: string
      title: ItemsIuPostResponsesContentApplicationJsonSchemaComponentsItems
    Items_createInOrder_Response_200:
      type: object
      properties:
        order:
          type: string
        offer:
          description: Any type
        subscription:
          type: string
        product:
          type: string
        components:
          type: array
          items:
            $ref: >-
              #/components/schemas/ItemsIuPostResponsesContentApplicationJsonSchemaComponentsItems
        subscription_component:
          type: string
        quantity:
          type: integer
          default: 0
        public_id:
          type: string
        product_attribute:
          description: Any type
        price:
          type: string
        extra_cost:
          type: string
        total_price:
          type: string
        one_time:
          type: boolean
          default: true
        order_updated:
          type: string
        frozen:
          type: boolean
          default: true
        first_placed:
          description: Any type
      title: Items_createInOrder_Response_200
    Items-create-in-orderRequestBadRequestError:
      type: object
      properties:
        '[field_name]':
          type: string
      title: Items-create-in-orderRequestBadRequestError
    Items-create-in-orderRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Items-create-in-orderRequestForbiddenError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{
  "order": "string",
  "offer": "string",
  "product": "string",
  "quantity": 1
}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/items/iu/"

payload = {
    "order": "string",
    "offer": "string",
    "product": "string",
    "quantity": 1
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/items/iu/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"order":"string","offer":"string","product":"string","quantity":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/items/iu/"

	payload := strings.NewReader("{\n  \"order\": \"string\",\n  \"offer\": \"string\",\n  \"product\": \"string\",\n  \"quantity\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/items/iu/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"order\": \"string\",\n  \"offer\": \"string\",\n  \"product\": \"string\",\n  \"quantity\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/items/iu/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"order\": \"string\",\n  \"offer\": \"string\",\n  \"product\": \"string\",\n  \"quantity\": 1\n}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/items/iu/', [
  'body' => '{
  "order": "string",
  "offer": "string",
  "product": "string",
  "quantity": 1
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/items/iu/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"order\": \"string\",\n  \"offer\": \"string\",\n  \"product\": \"string\",\n  \"quantity\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "order": "string",
  "offer": "string",
  "product": "string",
  "quantity": 1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/items/iu/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```